#!/usr/bin/env python
# -*- coding: utf-8 -*-
#
import logging

__all__ = ['all_functions', 'first_floor_dining']

from . import first_floor_dining

try:
    from config import APP_NAME as ROOT_LOGGER_NAME
except ImportError:
    ROOT_LOGGER_NAME = 'root'
logger = logging.getLogger(ROOT_LOGGER_NAME).getChild(__name__)


class all_functions(object):
    def __init__(self, device_collection):
        first_floor_dining.room_function(device_collection)
